Bug 116941 - Misidentified CPU environment on install
Misidentified CPU environment on install
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mingetty (Show other bugs)
1
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-26 12:19 EST by Don Dixon
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-05 17:30:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Dixon 2004-02-26 12:19:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
I have installed the latest updates to FC1 and noticed this problem. 
When booting my Athlon XP 1600+ system to the CLI, I am greeted with:

Fedora Core release 1 (Yarrow)
Kernel 2.4.22-1.2174.nptl on an i686

Even before I loaded the updates, I think it was still reporting i686
as opposed to athlon.

/proc/cpuinfo says:

processor	: 0
vendor_id	: AuthenticAMD
cpu family	: 6
model		: 6
model name	: AMD Athlon(tm) XP 1600+
stepping	: 2
cpu MHz		: 1370.182
cache size	: 256 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov pat
pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow
bogomips	: 2732.85

and by entering cat /var/log/dmesg | grep CPU I get:

Initializing CPU#0
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 256K (64 bytes/line)
Intel machine check reporting enabled on CPU#0.
CPU:     After generic, caps: 0383f9ff c1c3f9ff 00000000 00000000
CPU:             Common caps: 0383f9ff c1c3f9ff 00000000 00000000
CPU: AMD Athlon(tm) XP 1600+ stepping 02

I have gone back and replaced all of the *.i686.rpm files with either
*.athlon.rpm or *.i386.rpm to no effect.

Has anyone else seen this?

Don Dixon
bugzilla_me_no_like_spam@macrologic.com


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Boot to CLI
2.
3.
    

Actual Results:  I am greeted with:

Fedora Core release 1 (Yarrow)
Kernel 2.4.22-1.2174.nptl on an i686

Expected Results:  I expect:

Fedora Core release 1 (Yarrow)
Kernel 2.4.22-1.2174.nptl on an athlon

Additional info:

This same system had RH7.3 installed on it before and athlon was
correctly identified when booting to CLI.
Comment 1 Mike A. Harris 2004-03-05 15:10:18 EST
The "procinfo" package to which this bug report is filed, is an
application /usr/bin/procinfo and not the proc filesystem located
under /proc.

This bug report does not appear to be a problem in the procinfo
package itself, but it isn't clear to me what the bug is that you're
claiming, in order for me to be able to reassign it to the proper
component in bugzilla.

I'm going to reassign it to the "distribution" component for now.

Comment 2 Mike A. Harris 2004-03-05 15:11:59 EST
On second thought, Arjan recommended reassigning this to mkinitrd ...
Comment 3 Florian La Roche 2004-03-05 17:30:08 EST
athlon is always a i686 for the kernel

Note You need to log in before you can comment on or make changes to this bug.